<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_201) on Tue Jun 11 21:47:07 AEST 2019 -->
<title>HeightMapFilter (worldedit-core 7.0.0 API)</title>
<meta name="date" content="2019-06-11">
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="HeightMapFilter (worldedit-core 7.0.0 API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../com/sk89q/worldedit/math/convolution/HeightMap.html" title="class in com.sk89q.worldedit.math.convolution"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../com/sk89q/worldedit/math/convolution/Kernel.html" title="class in com.sk89q.worldedit.math.convolution"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?com/sk89q/worldedit/math/convolution/HeightMapFilter.html" target="_top">Frames</a></li>
<li><a href="HeightMapFilter.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">com.sk89q.worldedit.math.convolution</div>
<h2 title="Class HeightMapFilter" class="title">Class HeightMapFilter</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>com.sk89q.worldedit.math.convolution.HeightMapFilter</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public class <span class="typeNameLabel">HeightMapFilter</span>
extends java.lang.Object</pre>
<div class="block">Allows applications of Kernels onto the region's height map.

 <p>Only used for smoothing (with a GaussianKernel).</p></div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/math/convolution/HeightMapFilter.html#HeightMapFilter-int-int-float:A-">HeightMapFilter</a></span>(int&nbsp;kernelWidth,
               int&nbsp;kernelHeight,
               float[]&nbsp;kernelData)</code>
<div class="block">Construct the HeightMapFilter object.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/math/convolution/HeightMapFilter.html#HeightMapFilter-com.sk89q.worldedit.math.convolution.Kernel-">HeightMapFilter</a></span>(<a href="../../../../../com/sk89q/worldedit/math/convolution/Kernel.html" title="class in com.sk89q.worldedit.math.convolution">Kernel</a>&nbsp;kernel)</code>
<div class="block">Construct the HeightMapFilter object.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>int[]</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/math/convolution/HeightMapFilter.html#filter-int:A-int-int-">filter</a></span>(int[]&nbsp;inData,
      int&nbsp;width,
      int&nbsp;height)</code>
<div class="block">Filter with a 2D kernel</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code><a href="../../../../../com/sk89q/worldedit/math/convolution/Kernel.html" title="class in com.sk89q.worldedit.math.convolution">Kernel</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/math/convolution/HeightMapFilter.html#getKernel--">getKernel</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/math/convolution/HeightMapFilter.html#setKernel-com.sk89q.worldedit.math.convolution.Kernel-">setKernel</a></span>(<a href="../../../../../com/sk89q/worldedit/math/convolution/Kernel.html" title="class in com.sk89q.worldedit.math.convolution">Kernel</a>&nbsp;kernel)</code>
<div class="block">Set Kernel</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="HeightMapFilter-com.sk89q.worldedit.math.convolution.Kernel-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>HeightMapFilter</h4>
<pre>public&nbsp;HeightMapFilter(<a href="../../../../../com/sk89q/worldedit/math/convolution/Kernel.html" title="class in com.sk89q.worldedit.math.convolution">Kernel</a>&nbsp;kernel)</pre>
<div class="block">Construct the HeightMapFilter object.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>kernel</code> - the kernel</dd>
</dl>
</li>
</ul>
<a name="HeightMapFilter-int-int-float:A-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>HeightMapFilter</h4>
<pre>public&nbsp;HeightMapFilter(int&nbsp;kernelWidth,
                       int&nbsp;kernelHeight,
                       float[]&nbsp;kernelData)</pre>
<div class="block">Construct the HeightMapFilter object.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>kernelWidth</code> - the width</dd>
<dd><code>kernelHeight</code> - the height</dd>
<dd><code>kernelData</code> - the data</dd>
</dl>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getKernel--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getKernel</h4>
<pre>public&nbsp;<a href="../../../../../com/sk89q/worldedit/math/convolution/Kernel.html" title="class in com.sk89q.worldedit.math.convolution">Kernel</a>&nbsp;getKernel()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the kernel</dd>
</dl>
</li>
</ul>
<a name="setKernel-com.sk89q.worldedit.math.convolution.Kernel-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setKernel</h4>
<pre>public&nbsp;void&nbsp;setKernel(<a href="../../../../../com/sk89q/worldedit/math/convolution/Kernel.html" title="class in com.sk89q.worldedit.math.convolution">Kernel</a>&nbsp;kernel)</pre>
<div class="block">Set Kernel</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>kernel</code> - the kernel</dd>
</dl>
</li>
</ul>
<a name="filter-int:A-int-int-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>filter</h4>
<pre>public&nbsp;int[]&nbsp;filter(int[]&nbsp;inData,
                    int&nbsp;width,
                    int&nbsp;height)</pre>
<div class="block">Filter with a 2D kernel</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>inData</code> - the data</dd>
<dd><code>width</code> - the width</dd>
<dd><code>height</code> - the height</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the modified height map</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../com/sk89q/worldedit/math/convolution/HeightMap.html" title="class in com.sk89q.worldedit.math.convolution"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../com/sk89q/worldedit/math/convolution/Kernel.html" title="class in com.sk89q.worldedit.math.convolution"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?com/sk89q/worldedit/math/convolution/HeightMapFilter.html" target="_top">Frames</a></li>
<li><a href="HeightMapFilter.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
